Bug 815096 - libcdio does not appear to be up-to-date
libcdio does not appear to be up-to-date
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-22 09:38 EDT by John Shellhorn
Modified: 2014-01-21 18:21 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-23 08:46:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Shellhorn 2012-04-22 09:38:07 EDT
Description of problem:

Tried to update Fedora 17 Beta after successful(?) update from Fedora 16 via preupgrade.

Version-Release number of selected component (if applicable):

libcdio.so.12()(64bit)
libcdio.so.12(CDIO_12)(64bit)
libiso9660.so.7()(64bit)

How reproducible:

Tried several times over two days - same result each time.

Steps to Reproduce:

1. upgrade to Fedora 17 Beta from Fedora 16 using preupgrade
2. (sudo) yum -y update
3.
  
Actual results:

Running Transaction Check
ERROR with transaction check vs depsolve:
libcdio.so.12()(64bit) is needed by libvcdinfo0-0.7.24-10.fc16_88.x86_64
libcdio.so.12(CDIO_12)(64bit) is needed by libvcdinfo0-0.7.24-10.fc16_88.x86_64
libiso9660.so.7()(64bit) is needed by libvcdinfo0-0.7.24-10.fc16_88.x86_64
Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&version=rawhide&component=yum
** Found 12 pre-existing rpmdb problem(s), 'yum check' output follows:
gstreamer-plugins-ugly-0.10.18-14.fc16.x86_64 has missing requires of libcdio.so.12()(64bit)
gstreamer-plugins-ugly-0.10.18-14.fc16.x86_64 has missing requires of libcdio.so.12(CDIO_12)(64bit)
libvcdinfo0-0.7.24-10.fc16.x86_64 has missing requires of libcdio.so.12()(64bit)
libvcdinfo0-0.7.24-10.fc16.x86_64 has missing requires of libcdio.so.12(CDIO_12)(64bit)
libvcdinfo0-0.7.24-10.fc16.x86_64 has missing requires of libiso9660.so.7()(64bit)
remmina-plugins-rdp-0.9.2-5.fc17.x86_64 has missing requires of libfreerdp.so.0()(64bit)
remmina-plugins-rdp-0.9.2-5.fc17.x86_64 has missing requires of libfreerdpchanman.so.0()(64bit)
remmina-plugins-rdp-0.9.2-5.fc17.x86_64 has missing requires of libfreerdpkbd.so.0()(64bit)
sssd-1.8.1-7.fc16.x86_64 has missing requires of libldb = ('0', '1.1.0', None)
1:totem-youtube-3.2.1-2.fc16.x86_64 has missing requires of libclutter-glx-1.0.so.0()(64bit)
1:totem-youtube-3.2.1-2.fc16.x86_64 has missing requires of libcogl.so.5()(64bit)
1:totem-youtube-3.2.1-2.fc16.x86_64 has missing requires of totem = ('1', '3.2.1', '2.fc16')
Your transaction was saved, rerun it with:
 yum load-transaction /tmp/yum_save_tx.2012-04-22.09-24.x6QIad.yumtx

Expected results:

A successful update!

Additional info:

I also tried "(sudo) yum -y update --skip-broken" with the same result.
Comment 1 James Antill 2012-04-23 08:46:12 EDT
 As it says, these are pre-existing bugs in the rpmdb.

 You can use yum reinstall or yum install or yum remove to fix them.

Note You need to log in before you can comment on or make changes to this bug.